# FTXUI: menu_style.cpp File Reference

Loading...
Searching...
No Matches
menu_style.cpp File Reference

Go to the source code of this file.

## Functions

Component | VMenu1 (std::vector< std::string > *entries, int *selected)
Component | VMenu2 (std::vector< std::string > *entries, int *selected)
Component | VMenu3 (std::vector< std::string > *entries, int *selected)
Component | VMenu4 (std::vector< std::string > *entries, int *selected)
Component | VMenu5 (std::vector< std::string > *entries, int *selected)
Component | VMenu6 (std::vector< std::string > *entries, int *selected)
Component | VMenu7 (std::vector< std::string > *entries, int *selected)
Component | VMenu8 (std::vector< std::string > *entries, int *selected)
Component | HMenu1 (std::vector< std::string > *entries, int *selected)
Component | HMenu2 (std::vector< std::string > *entries, int *selected)
Component | HMenu3 (std::vector< std::string > *entries, int *selected)
Component | HMenu4 (std::vector< std::string > *entries, int *selected)
Component | HMenu5 (std::vector< std::string > *entries, int *selected)
int | main ()

## Function Documentation

## VMenu1()

Component VMenu1 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 114 of file menu_style.cpp.

## VMenu2()

Component VMenu2 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 130 of file menu_style.cpp.

## VMenu3()

Component VMenu3 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 146 of file menu_style.cpp.

## VMenu4()

Component VMenu4 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 166 of file menu_style.cpp.

## VMenu5()

Component VMenu5 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 186 of file menu_style.cpp.

## VMenu6()

Component VMenu6 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 204 of file menu_style.cpp.

## VMenu7()

Component VMenu7 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 212 of file menu_style.cpp.

## VMenu8()

Component VMenu8 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 223 of file menu_style.cpp.

## HMenu1()

Component HMenu1 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 230 of file menu_style.cpp.

## HMenu2()

Component HMenu2 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 234 of file menu_style.cpp.

## HMenu3()

Component HMenu3 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 238 of file menu_style.cpp.

## HMenu4()

Component HMenu4 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 245 of file menu_style.cpp.

## HMenu5()

Component HMenu5 | ( | std::vector< std::string > * | entries,
|  | int * | selected )

Examples
  examples/component/menu_style.cpp.

Definition at line 249 of file menu_style.cpp.

## main()

int main | ( |  | ) |

Definition at line 36 of file menu_style.cpp.